> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.synthesia.io/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.synthesia.io/docs/_mcp/server.

# Add locales to a dubbing project (original imported video)

PUT https://api.synthesia.io/v2/dubbing/{dubbing_project_id}
Content-Type: application/json

Add the passed target locales to a dubbing project (original imported video). If a target locale is already added, it will be skipped.

Reference: https://developers.synthesia.io/docs/video-api-reference/dubbing/add-locales-to-a-dubbing-project-original-imported-video

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Path parameters

- `dubbing_project_id` (string, required) — UUID of the dubbing project (original imported video)

### Body (application/json)

This endpoint expects an AddLocalesToDubbingProjectRequest.

- `targetLanguages` (list of enum, required) — The languages to dub the source media asset to.
  - Allowed values: `af`, `sq`, `am`, `ar`, `ar-DZ`, `ar-BH`, `ar-EG`, `ar-IQ`, `ar-JO`, `ar-KW`, `ar-LY`, `ar-MA`, `ar-QA`, `ar-SA`, `ar-SY`, `ar-TN`, `ar-AE`, `ar-YE`, `hy`, `as`, `az`, `eu`, `bn`, `bs`, `bg`, `ca`, `zh`, `zh-CN`, `zh-HK`, `zh-TW`, `hr`, `cs`, `da`, `nl`, `nl-BE`, `nl-NL`, `en`, `en-AU`, `en-CA`, `en-GB`, `en-HK`, `en-IN`, `en-IE`, `en-KE`, `en-MX`, `en-NZ`, `en-NG`, `en-PH`, `en-SG`, `en-ZA`, `en-TZ`, `en-US`, `et`, `fil`, `fi`, `fr`, `fr-BE`, `fr-CA`, `fr-FR`, `fr-CH`, `gl`, `ka`, `de`, `de-AT`, `de-DE`, `de-CH`, `el`, `gu`, `he`, `hi`, `hu`, `is`, `id`, `ga`, `it`, `ja`, `jw`, `kn`, `kk`, `km`, `ko`, `lo`, `lv`, `lt`, `mk`, `ms`, `ml`, `mt`, `mr`, `mn`, `ne`, `no`, `nb`, `nn`, `or`, `pa`, `ps`, `fa`, `pl`, `pt`, `pt-BR`, `pt-PT`, `ro`, `ru`, `sr`, `si`, `sk`, `sl`, `so`, `es`, `es-AR`, `es-BO`, `es-CL`, `es-CO`, `es-CR`, `es-CU`, `es-DO`, `es-EC`, `es-SV`, `es-GQ`, `es-GT`, `es-HN`, `es-LA`, `es-MX`, `es-NI`, `es-PA`, `es-PY`, `es-PE`, `es-PR`, `es-ES`, `es-US`, `es-UY`, `es-VE`, `su`, `sw`, `sv`, `ta`, `ta-IN`, `ta-SG`, `ta-LK`, `te`, `th`, `tr`, `uk`, `ur`, `uz`, `vi`, `cy`, `zu`
- `lipsyncEnabled` (boolean, optional, default: false) — Whether to enable lipsync for the dubbed video.
- `burnedInCaptionsEnabled` (boolean, optional, default: false) — Whether to burn captions into the dubbed video. Applies only to the locales added by this request; existing dubbed videos keep their setting. The `captions.srt` and `captions.vtt` files are still returned either way.
- `videoDuration` (enum, optional, default: adaptive) — The duration of the video to create.
  - Allowed values: `adaptive`, `original`
- `visibility` (enum, optional, default: private) — The visibility of the dubbed video.
  - Allowed values: `private`, `public`

## Response

### 202

Successfully scheduled dubbing for provided locales.

- `createdDubbedAssets` (list of AddLocalesToDubbingProjectResponseCreatedDubbedAssetsItems, required)
- `dubbedErrors` (list of DubbedVideosApiError, optional)

## Errors

### 400 Bad Request Error

Bad Request. Invalid imported video or locales.

- `error` (string, required)
- `context` (string, optional)

### 403 Forbidden Error

Forbidden - Wrong API key.

- `error` (string, required)
- `context` (string, optional)

### 404 Not Found Error

Not Found - Imported video not found.

- `error` (string, required)
- `context` (string, optional)

## Types

### AddLocalesToDubbingProjectResponseCreatedDubbedAssetsItems

- _DubbedAssetInProgress: _DubbedAssetInProgress
- _DubbedAssetComplete: _DubbedAssetComplete
- _DubbedAssetError: _DubbedAssetError

### DubbedVideosApiError

- `error` (string, optional, nullable) — The error type.
- `language` (string, optional, nullable) — The language of the error.

### _DubbedAssetInProgress

Dubbed asset in progress - minimal data.

- `id` (string, required)
- `language` (enum, required) — The language of the dubbed video.
  - Allowed values: `af`, `sq`, `am`, `ar`, `ar-DZ`, `ar-BH`, `ar-EG`, `ar-IQ`, `ar-JO`, `ar-KW`, `ar-LY`, `ar-MA`, `ar-QA`, `ar-SA`, `ar-SY`, `ar-TN`, `ar-AE`, `ar-YE`, `hy`, `as`, `az`, `eu`, `bn`, `bs`, `bg`, `ca`, `zh`, `zh-CN`, `zh-HK`, `zh-TW`, `hr`, `cs`, `da`, `nl`, `nl-BE`, `nl-NL`, `en`, `en-AU`, `en-CA`, `en-GB`, `en-HK`, `en-IN`, `en-IE`, `en-KE`, `en-MX`, `en-NZ`, `en-NG`, `en-PH`, `en-SG`, `en-ZA`, `en-TZ`, `en-US`, `et`, `fil`, `fi`, `fr`, `fr-BE`, `fr-CA`, `fr-FR`, `fr-CH`, `gl`, `ka`, `de`, `de-AT`, `de-DE`, `de-CH`, `el`, `gu`, `he`, `hi`, `hu`, `is`, `id`, `ga`, `it`, `ja`, `jw`, `kn`, `kk`, `km`, `ko`, `lo`, `lv`, `lt`, `mk`, `ms`, `ml`, `mt`, `mr`, `mn`, `ne`, `no`, `nb`, `nn`, `or`, `pa`, `ps`, `fa`, `pl`, `pt`, `pt-BR`, `pt-PT`, `ro`, `ru`, `sr`, `si`, `sk`, `sl`, `so`, `es`, `es-AR`, `es-BO`, `es-CL`, `es-CO`, `es-CR`, `es-CU`, `es-DO`, `es-EC`, `es-SV`, `es-GQ`, `es-GT`, `es-HN`, `es-LA`, `es-MX`, `es-NI`, `es-PA`, `es-PY`, `es-PE`, `es-PR`, `es-ES`, `es-US`, `es-UY`, `es-VE`, `su`, `sw`, `sv`, `ta`, `ta-IN`, `ta-SG`, `ta-LK`, `te`, `th`, `tr`, `uk`, `ur`, `uz`, `vi`, `cy`, `zu`
- `status` (enum, optional, default: in_progress) — The status of the dubbed video.
  - Allowed values: `in_progress`

### _DubbedAssetComplete

Dubbed asset complete - full data.

- `id` (string, required)
- `title` (string, required) — Title of the video (used on the video's share page).
- `description` (string, required) — Description of the video (used on the video's share page).
- `language` (enum, required) — The language of the dubbed video.
  - Allowed values: `af`, `sq`, `am`, `ar`, `ar-DZ`, `ar-BH`, `ar-EG`, `ar-IQ`, `ar-JO`, `ar-KW`, `ar-LY`, `ar-MA`, `ar-QA`, `ar-SA`, `ar-SY`, `ar-TN`, `ar-AE`, `ar-YE`, `hy`, `as`, `az`, `eu`, `bn`, `bs`, `bg`, `ca`, `zh`, `zh-CN`, `zh-HK`, `zh-TW`, `hr`, `cs`, `da`, `nl`, `nl-BE`, `nl-NL`, `en`, `en-AU`, `en-CA`, `en-GB`, `en-HK`, `en-IN`, `en-IE`, `en-KE`, `en-MX`, `en-NZ`, `en-NG`, `en-PH`, `en-SG`, `en-ZA`, `en-TZ`, `en-US`, `et`, `fil`, `fi`, `fr`, `fr-BE`, `fr-CA`, `fr-FR`, `fr-CH`, `gl`, `ka`, `de`, `de-AT`, `de-DE`, `de-CH`, `el`, `gu`, `he`, `hi`, `hu`, `is`, `id`, `ga`, `it`, `ja`, `jw`, `kn`, `kk`, `km`, `ko`, `lo`, `lv`, `lt`, `mk`, `ms`, `ml`, `mt`, `mr`, `mn`, `ne`, `no`, `nb`, `nn`, `or`, `pa`, `ps`, `fa`, `pl`, `pt`, `pt-BR`, `pt-PT`, `ro`, `ru`, `sr`, `si`, `sk`, `sl`, `so`, `es`, `es-AR`, `es-BO`, `es-CL`, `es-CO`, `es-CR`, `es-CU`, `es-DO`, `es-EC`, `es-SV`, `es-GQ`, `es-GT`, `es-HN`, `es-LA`, `es-MX`, `es-NI`, `es-PA`, `es-PY`, `es-PE`, `es-PR`, `es-ES`, `es-US`, `es-UY`, `es-VE`, `su`, `sw`, `sv`, `ta`, `ta-IN`, `ta-SG`, `ta-LK`, `te`, `th`, `tr`, `uk`, `ur`, `uz`, `vi`, `cy`, `zu`
- `visibility` (enum, required) — Describes the visibility settings of the video.
  - Allowed values: `public`, `private`
- `download` (string, required) — A time-limited URL which may be used to download the video.
- `thumbnail` (_DubbedAssetThumbnail, required) — A JSON object with time-limited download URLs for the video thumbnail and animated GIF thumbnail.
- `captions` (_DubbedAssetCaptions, required) — A JSON object with time-limited download URLs for the video captions in vtt and srt formats.
- `status` (enum, optional, default: complete) — The status of the dubbed video.
  - Allowed values: `complete`
- `createdAt` (integer, optional, nullable) — UNIX timestamp representing the time video was created.
- `lastUpdatedAt` (integer, optional, nullable) — UNIX timestamp representing the time video was last updated.

### _DubbedAssetError

Dubbed asset error - minimal data + error code.

- `id` (string, required)
- `language` (enum, required) — The language of the dubbed video.
  - Allowed values: `af`, `sq`, `am`, `ar`, `ar-DZ`, `ar-BH`, `ar-EG`, `ar-IQ`, `ar-JO`, `ar-KW`, `ar-LY`, `ar-MA`, `ar-QA`, `ar-SA`, `ar-SY`, `ar-TN`, `ar-AE`, `ar-YE`, `hy`, `as`, `az`, `eu`, `bn`, `bs`, `bg`, `ca`, `zh`, `zh-CN`, `zh-HK`, `zh-TW`, `hr`, `cs`, `da`, `nl`, `nl-BE`, `nl-NL`, `en`, `en-AU`, `en-CA`, `en-GB`, `en-HK`, `en-IN`, `en-IE`, `en-KE`, `en-MX`, `en-NZ`, `en-NG`, `en-PH`, `en-SG`, `en-ZA`, `en-TZ`, `en-US`, `et`, `fil`, `fi`, `fr`, `fr-BE`, `fr-CA`, `fr-FR`, `fr-CH`, `gl`, `ka`, `de`, `de-AT`, `de-DE`, `de-CH`, `el`, `gu`, `he`, `hi`, `hu`, `is`, `id`, `ga`, `it`, `ja`, `jw`, `kn`, `kk`, `km`, `ko`, `lo`, `lv`, `lt`, `mk`, `ms`, `ml`, `mt`, `mr`, `mn`, `ne`, `no`, `nb`, `nn`, `or`, `pa`, `ps`, `fa`, `pl`, `pt`, `pt-BR`, `pt-PT`, `ro`, `ru`, `sr`, `si`, `sk`, `sl`, `so`, `es`, `es-AR`, `es-BO`, `es-CL`, `es-CO`, `es-CR`, `es-CU`, `es-DO`, `es-EC`, `es-SV`, `es-GQ`, `es-GT`, `es-HN`, `es-LA`, `es-MX`, `es-NI`, `es-PA`, `es-PY`, `es-PE`, `es-PR`, `es-ES`, `es-US`, `es-UY`, `es-VE`, `su`, `sw`, `sv`, `ta`, `ta-IN`, `ta-SG`, `ta-LK`, `te`, `th`, `tr`, `uk`, `ur`, `uz`, `vi`, `cy`, `zu`
- `errorCode` (enum, required) — Some context in case of dubbed video error.
  - Allowed values: `moderation`, `video_duration_limit_reached`, `invalid_target_language`, `processing_error`
- `status` (enum, optional, default: error) — The status of the dubbed video.
  - Allowed values: `error`

### _DubbedAssetThumbnail

- `image` (string, optional, nullable) — A time-limited URL which may be used to download the video thumbnail.
- `gif` (string, optional, nullable) — A time-limited URL which may be used to download the video animated GIF thumbnail.

### _DubbedAssetCaptions

- `srt` (string, optional, nullable) — A time-limited URL which may be used to download the video captions in srt format.
- `vtt` (string, optional, nullable) — A time-limited URL which may be used to download the video captions in vtt format.

## Examples

**Request**

```json
{
  "targetLanguages": [
    "es-ES",
    "fr-FR"
  ]
}
```

**Response**

```json
{
  "createdDubbedAssets": [
    {
      "id": "string",
      "language": "af",
      "status": "in_progress"
    }
  ],
  "dubbedErrors": [
    {
      "error": "string",
      "language": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.synthesia.io/v2/dubbing/dubbing_project_id"

payload = { "targetLanguages": ["es-ES", "fr-FR"] }
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.synthesia.io/v2/dubbing/dubbing_project_id';
const options = {
  method: 'PUT',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"targetLanguages":["es-ES","fr-FR"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthesia.io/v2/dubbing/dubbing_project_id"

	payload := strings.NewReader("{\n  \"targetLanguages\": [\n    \"es-ES\",\n    \"fr-FR\"\n  ]\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthesia.io/v2/dubbing/dubbing_project_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"targetLanguages\": [\n    \"es-ES\",\n    \"fr-FR\"\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.synthesia.io/v2/dubbing/dubbing_project_id")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"targetLanguages\": [\n    \"es-ES\",\n    \"fr-FR\"\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.synthesia.io/v2/dubbing/dubbing_project_id', [
  'body' => '{
  "targetLanguages": [
    "es-ES",
    "fr-FR"
  ]
}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthesia.io/v2/dubbing/dubbing_project_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"targetLanguages\": [\n    \"es-ES\",\n    \"fr-FR\"\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["targetLanguages": ["es-ES", "fr-FR"]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthesia.io/v2/dubbing/dubbing_project_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```